summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in14
1 files changed, 7 insertions, 7 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 13185eec..20440265 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -551,7 +551,8 @@ download_sources() {
fi
# find the client we should use for this URL
- local dlclient=$(get_downloadclient "$url") || exit $?
+ local dlclient
+ dlclient=$(get_downloadclient "$url") || exit $?
msg2 "$(gettext "Downloading %s...")" "$file"
# fix flyspray bug #3289
@@ -624,7 +625,8 @@ generate_checksums() {
local netfile
for netfile in "${source[@]}"; do
- local file="$(get_filepath "$netfile")" || missing_source_file "$netfile"
+ local file
+ file="$(get_filepath "$netfile")" || missing_source_file "$netfile"
local sum="$(openssl dgst -${integ} "$file")"
sum=${sum##* }
(( ct )) && echo -n "$indent"
@@ -1337,11 +1339,9 @@ create_srcpackage() {
local file
for file in "${source[@]}"; do
- if [[ -f $file ]]; then
- msg2 "$(gettext "Adding %s...")" "$file"
- ln -s "${startdir}/$file" "$srclinks/$pkgbase"
- elif (( SOURCEONLY == 2 )); then
- local absfile=$(get_filepath "$file") || missing_source_file "$file"
+ if [[ "$file" == $(get_filename "$file") ]] || (( SOURCEONLY == 2 )); then
+ local absfile
+ absfile=$(get_filepath "$file") || missing_source_file "$file"
msg2 "$(gettext "Adding %s...")" "${absfile##*/}"
ln -s "$absfile" "$srclinks/$pkgbase"
fi